=== modified file 'Makefile'
--- Makefile	2011-05-08 17:58:08 +0000
+++ Makefile	2011-05-18 15:45:07 +0000
@@ -75,9 +75,7 @@
 docfiles = bzr bzrlib
 api-docs:
 	mkdir -p api/html
-	PYTHONPATH=$(PWD) $(PYTHON) tools/bzr_epydoc --html -o api/html --docformat 'restructuredtext en' $(docfiles)
-check-api-docs:
-	PYTHONPATH=$(PWD) $(PYTHON) tools/bzr_epydoc --check --docformat 'restructuredtext en' $(docfiles)
+	pydoctor --make-html --docformat='restructuredtext' --html-output=api/html $(docfiles)
 
 # build tags for emacs and vim
 TAGS:

=== modified file 'bzrlib/branch.py'
--- bzrlib/branch.py	2011-05-17 10:26:44 +0000
+++ bzrlib/branch.py	2011-05-18 16:42:48 +0000
@@ -1469,6 +1469,7 @@
 
     def reference_parent(self, file_id, path, possible_transports=None):
         """Return the parent branch for a tree-reference file_id
+
         :param file_id: The file_id of the tree reference
         :param path: The path of the file_id in the tree
         :return: A branch associated with the file_id
@@ -1864,7 +1865,7 @@
 
 
 class ChangeBranchTipParams(object):
-    """Object holding parameters passed to *_change_branch_tip hooks.
+    """Object holding parameters passed to `*_change_branch_tip` hooks.
 
     There are 5 fields that hooks may wish to access:
 
@@ -1902,7 +1903,7 @@
 
 
 class BranchInitHookParams(object):
-    """Object holding parameters passed to *_branch_init hooks.
+    """Object holding parameters passed to `*_branch_init` hooks.
 
     There are 4 fields that hooks may wish to access:
 
@@ -1942,7 +1943,7 @@
 
 
 class SwitchHookParams(object):
-    """Object holding parameters passed to *_switch hooks.
+    """Object holding parameters passed to `*_switch` hooks.
 
     There are 4 fields that hooks may wish to access:
 
@@ -3390,10 +3391,10 @@
 
         This is the basic concrete implementation of push()
 
-        :param _override_hook_source_branch: If specified, run
-        the hooks passing this Branch as the source, rather than self.
-        This is for use of RemoteBranch, where push is delegated to the
-        underlying vfs-based Branch.
+        :param _override_hook_source_branch: If specified, run the hooks
+            passing this Branch as the source, rather than self.  This is for
+            use of RemoteBranch, where push is delegated to the underlying
+            vfs-based Branch.
         """
         if lossy:
             raise errors.LossyPushToSameVCS(self.source, self.target)

=== modified file 'bzrlib/bzrdir.py'
--- bzrlib/bzrdir.py	2011-05-04 14:54:13 +0000
+++ bzrlib/bzrdir.py	2011-05-18 16:42:48 +0000
@@ -239,6 +239,7 @@
         This is intended primarily as a building block for more sophisticated
         functionality, like finding trees under a directory, or finding
         branches that use a given repository.
+
         :param evaluate: An optional callable that yields recurse, value,
             where recurse controls whether this bzrdir is recursed into
             and value is the value to yield.  By default, all bzrdirs
@@ -431,6 +432,7 @@
 
         if revision_id is not None, then the clone operation may tune
             itself to download less data.
+
         :param accelerator_tree: A tree which can be used for retrieving file
             contents more quickly than the revision tree, i.e. a workingtree.
             The revision tree will be used for cases where accelerator_tree's
@@ -865,6 +867,7 @@
         """Open an existing branch which contains url.
 
         :param url: url to search from.
+
         See open_containing_from_transport for more detail.
         """
         transport = _mod_transport.get_transport(url, possible_transports)
@@ -1095,7 +1098,7 @@
 
 
 class RepoInitHookParams(object):
-    """Object holding parameters passed to *_repo_init hooks.
+    """Object holding parameters passed to `*_repo_init` hooks.
 
     There are 4 fields that hooks may wish to access:
 
@@ -1612,10 +1615,12 @@
 
     This is the first format with split out working tree, branch and repository
     disk storage.
+
     It has:
-     - Format 3 working trees [optional]
-     - Format 5 branches [optional]
-     - Format 7 repositories [optional]
+
+    - Format 3 working trees [optional]
+    - Format 5 branches [optional]
+    - Format 7 repositories [optional]
     """
 
     _lock_class = lockdir.LockDir
@@ -1989,6 +1994,7 @@
 
         Implementations may create a new repository or use a pre-exising
         repository.
+
         :param make_working_trees: If creating a repository, set
             make_working_trees to this value (if non-None)
         :param shared: If creating a repository, make it shared if True
@@ -2003,8 +2009,8 @@
 
     def __init__(self, bzrdir, stack_on=None, stack_on_pwd=None,
                  require_stacking=False):
-        """
-        Constructor.
+        """Constructor.
+
         :param bzrdir: The bzrdir to create the repository on.
         :param stack_on: A location to stack on
         :param stack_on_pwd: If stack_on is relative, the location it is

=== modified file 'bzrlib/check.py'
--- bzrlib/check.py	2011-05-11 15:39:20 +0000
+++ bzrlib/check.py	2011-05-18 16:42:48 +0000
@@ -39,6 +39,7 @@
 so that when the dependent object is checked, matches can be pulled out and
 evaluated in-line rather than re-reading the same data many times.
 check_refs are tuples (kind, value). Currently defined kinds are:
+
 * 'trees', where value is a revid and the looked up objects are revision trees.
 * 'lefthand-distance', where value is a revid and the looked up objects are the
   distance along the lefthand path to NULL for that revid.

=== modified file 'bzrlib/dirstate.py'
--- bzrlib/dirstate.py	2011-05-17 13:17:39 +0000
+++ bzrlib/dirstate.py	2011-05-18 16:42:48 +0000
@@ -20,91 +20,105 @@
 lines by NL. The field delimiters are ommitted in the grammar, line delimiters
 are not - this is done for clarity of reading. All string data is in utf8.
 
-MINIKIND = "f" | "d" | "l" | "a" | "r" | "t";
-NL = "\n";
-NULL = "\0";
-WHOLE_NUMBER = {digit}, digit;
-BOOLEAN = "y" | "n";
-REVISION_ID = a non-empty utf8 string;
-
-dirstate format = header line, full checksum, row count, parent details,
- ghost_details, entries;
-header line = "#bazaar dirstate flat format 3", NL;
-full checksum = "crc32: ", ["-"], WHOLE_NUMBER, NL;
-row count = "num_entries: ", WHOLE_NUMBER, NL;
-parent_details = WHOLE NUMBER, {REVISION_ID}* NL;
-ghost_details = WHOLE NUMBER, {REVISION_ID}*, NL;
-entries = {entry};
-entry = entry_key, current_entry_details, {parent_entry_details};
-entry_key = dirname,  basename, fileid;
-current_entry_details = common_entry_details, working_entry_details;
-parent_entry_details = common_entry_details, history_entry_details;
-common_entry_details = MINIKIND, fingerprint, size, executable
-working_entry_details = packed_stat
-history_entry_details = REVISION_ID;
-executable = BOOLEAN;
-size = WHOLE_NUMBER;
-fingerprint = a nonempty utf8 sequence with meaning defined by minikind.
-
-Given this definition, the following is useful to know:
-entry (aka row) - all the data for a given key.
-entry[0]: The key (dirname, basename, fileid)
-entry[0][0]: dirname
-entry[0][1]: basename
-entry[0][2]: fileid
-entry[1]: The tree(s) data for this path and id combination.
-entry[1][0]: The current tree
-entry[1][1]: The second tree
-
-For an entry for a tree, we have (using tree 0 - current tree) to demonstrate:
-entry[1][0][0]: minikind
-entry[1][0][1]: fingerprint
-entry[1][0][2]: size
-entry[1][0][3]: executable
-entry[1][0][4]: packed_stat
-OR (for non tree-0)
-entry[1][1][4]: revision_id
+::
+
+    MINIKIND = "f" | "d" | "l" | "a" | "r" | "t";
+    NL = "\\n";
+    NULL = "\\0";
+    WHOLE_NUMBER = {digit}, digit;
+    BOOLEAN = "y" | "n";
+    REVISION_ID = a non-empty utf8 string;
+    
+    dirstate format = header line, full checksum, row count, parent details,
+     ghost_details, entries;
+    header line = "#bazaar dirstate flat format 3", NL;
+    full checksum = "crc32: ", ["-"], WHOLE_NUMBER, NL;
+    row count = "num_entries: ", WHOLE_NUMBER, NL;
+    parent_details = WHOLE NUMBER, {REVISION_ID}* NL;
+    ghost_details = WHOLE NUMBER, {REVISION_ID}*, NL;
+    entries = {entry};
+    entry = entry_key, current_entry_details, {parent_entry_details};
+    entry_key = dirname,  basename, fileid;
+    current_entry_details = common_entry_details, working_entry_details;
+    parent_entry_details = common_entry_details, history_entry_details;
+    common_entry_details = MINIKIND, fingerprint, size, executable
+    working_entry_details = packed_stat
+    history_entry_details = REVISION_ID;
+    executable = BOOLEAN;
+    size = WHOLE_NUMBER;
+    fingerprint = a nonempty utf8 sequence with meaning defined by minikind.
+
+Given this definition, the following is useful to know::
+
+    entry (aka row) - all the data for a given key.
+    entry[0]: The key (dirname, basename, fileid)
+    entry[0][0]: dirname
+    entry[0][1]: basename
+    entry[0][2]: fileid
+    entry[1]: The tree(s) data for this path and id combination.
+    entry[1][0]: The current tree
+    entry[1][1]: The second tree
+
+For an entry for a tree, we have (using tree 0 - current tree) to demonstrate::
+
+    entry[1][0][0]: minikind
+    entry[1][0][1]: fingerprint
+    entry[1][0][2]: size
+    entry[1][0][3]: executable
+    entry[1][0][4]: packed_stat
+
+OR (for non tree-0)::
+
+    entry[1][1][4]: revision_id
 
 There may be multiple rows at the root, one per id present in the root, so the
-in memory root row is now:
-self._dirblocks[0] -> ('', [entry ...]),
-and the entries in there are
-entries[0][0]: ''
-entries[0][1]: ''
-entries[0][2]: file_id
-entries[1][0]: The tree data for the current tree for this fileid at /
-etc.
-
-Kinds:
-'r' is a relocated entry: This path is not present in this tree with this id,
-    but the id can be found at another location. The fingerprint is used to
-    point to the target location.
-'a' is an absent entry: In that tree the id is not present at this path.
-'d' is a directory entry: This path in this tree is a directory with the
-    current file id. There is no fingerprint for directories.
-'f' is a file entry: As for directory, but it's a file. The fingerprint is the
-    sha1 value of the file's canonical form, i.e. after any read filters have
-    been applied to the convenience form stored in the working tree.
-'l' is a symlink entry: As for directory, but a symlink. The fingerprint is the
-    link target.
-'t' is a reference to a nested subtree; the fingerprint is the referenced
-    revision.
+in memory root row is now::
+
+    self._dirblocks[0] -> ('', [entry ...]),
+
+and the entries in there are::
+
+    entries[0][0]: ''
+    entries[0][1]: ''
+    entries[0][2]: file_id
+    entries[1][0]: The tree data for the current tree for this fileid at /
+    etc.
+
+Kinds::
+
+    'r' is a relocated entry: This path is not present in this tree with this
+        id, but the id can be found at another location. The fingerprint is
+        used to point to the target location.
+    'a' is an absent entry: In that tree the id is not present at this path.
+    'd' is a directory entry: This path in this tree is a directory with the
+        current file id. There is no fingerprint for directories.
+    'f' is a file entry: As for directory, but it's a file. The fingerprint is
+        the sha1 value of the file's canonical form, i.e. after any read
+        filters have been applied to the convenience form stored in the working
+        tree.
+    'l' is a symlink entry: As for directory, but a symlink. The fingerprint is
+        the link target.
+    't' is a reference to a nested subtree; the fingerprint is the referenced
+        revision.
 
 Ordering:
 
-The entries on disk and in memory are ordered according to the following keys:
+The entries on disk and in memory are ordered according to the following keys::
 
     directory, as a list of components
     filename
     file-id
 
 --- Format 1 had the following different definition: ---
-rows = dirname, NULL, basename, NULL, MINIKIND, NULL, fileid_utf8, NULL,
-    WHOLE NUMBER (* size *), NULL, packed stat, NULL, sha1|symlink target,
-    {PARENT ROW}
-PARENT ROW = NULL, revision_utf8, NULL, MINIKIND, NULL, dirname, NULL,
-    basename, NULL, WHOLE NUMBER (* size *), NULL, "y" | "n", NULL,
-    SHA1
+
+::
+
+    rows = dirname, NULL, basename, NULL, MINIKIND, NULL, fileid_utf8, NULL,
+        WHOLE NUMBER (* size *), NULL, packed stat, NULL, sha1|symlink target,
+        {PARENT ROW}
+    PARENT ROW = NULL, revision_utf8, NULL, MINIKIND, NULL, dirname, NULL,
+        basename, NULL, WHOLE NUMBER (* size *), NULL, "y" | "n", NULL,
+        SHA1
 
 PARENT ROW's are emitted for every parent that is not in the ghosts details
 line. That is, if the parents are foo, bar, baz, and the ghosts are bar, then
@@ -135,19 +149,21 @@
 ----
 
 Design priorities:
- 1) Fast end to end use for bzr's top 5 uses cases. (commmit/diff/status/merge/???)
- 2) fall back current object model as needed.
- 3) scale usably to the largest trees known today - say 50K entries. (mozilla
+ 1. Fast end to end use for bzr's top 5 uses cases. (commmit/diff/status/merge/???)
+ 2. fall back current object model as needed.
+ 3. scale usably to the largest trees known today - say 50K entries. (mozilla
     is an example of this)
 
 
 Locking:
+
  Eventually reuse dirstate objects across locks IFF the dirstate file has not
  been modified, but will require that we flush/ignore cached stat-hit data
  because we won't want to restat all files on disk just because a lock was
  acquired, yet we cannot trust the data after the previous lock was released.
 
-Memory representation:
+Memory representation::
+
  vector of all directories, and vector of the childen ?
    i.e.
      root_entrie = (direntry for root, [parent_direntries_for_root]),
@@ -167,6 +183,7 @@
     - What's the risk of error here? Once we have the base format being processed
       we should have a net win regardless of optimality. So we are going to
       go with what seems reasonable.
+
 open questions:
 
 Maybe we should do a test profile of the core structure - 10K simulated
@@ -1205,9 +1222,10 @@
     def _fields_per_entry(self):
         """How many null separated fields should be in each entry row.
 
-        Each line now has an extra '\n' field which is not used
+        Each line now has an extra '\\n' field which is not used
         so we just skip over it
-        entry size:
+
+        entry size::
             3 fields for the key
             + number of fields per tree_data (5) * tree count
             + newline

=== modified file 'bzrlib/doc/api/__init__.py'
--- bzrlib/doc/api/__init__.py	2009-03-23 14:59:43 +0000
+++ bzrlib/doc/api/__init__.py	2011-05-18 16:42:48 +0000
@@ -18,7 +18,7 @@
 
 This documentation is made up of doctest testable examples.
 
-Look for bzrlib/doc/api/*.txt to read it.
+Look for `bzrlib/doc/api/*.txt` to read it.
 
 This documentation documents the current best practice in using the library.
 For details on specific apis, see pydoc on the api, or read the source.

=== modified file 'bzrlib/errors.py'
--- bzrlib/errors.py	2011-05-08 12:42:43 +0000
+++ bzrlib/errors.py	2011-05-18 16:42:48 +0000
@@ -54,12 +54,12 @@
     Base class for errors raised by bzrlib.
 
     :cvar internal_error: if True this was probably caused by a bzr bug and
-    should be displayed with a traceback; if False (or absent) this was
-    probably a user or environment error and they don't need the gory details.
-    (That can be overridden by -Derror on the command line.)
+        should be displayed with a traceback; if False (or absent) this was
+        probably a user or environment error and they don't need the gory
+        details.  (That can be overridden by -Derror on the command line.)
 
     :cvar _fmt: Format string to display the error; this is expanded
-    by the instance's dict.
+        by the instance's dict.
     """
 
     internal_error = False
@@ -864,9 +864,9 @@
         """Construct a new AlreadyVersionedError.
 
         :param path: This is the path which is versioned,
-        which should be in a user friendly form.
+            which should be in a user friendly form.
         :param context_info: If given, this is information about the context,
-        which could explain why this is expected to not be versioned.
+            which could explain why this is expected to not be versioned.
         """
         BzrError.__init__(self)
         self.path = path
@@ -885,9 +885,9 @@
         """Construct a new NotVersionedError.
 
         :param path: This is the path which is not versioned,
-        which should be in a user friendly form.
+            which should be in a user friendly form.
         :param context_info: If given, this is information about the context,
-        which could explain why this is expected to be versioned.
+            which could explain why this is expected to be versioned.
         """
         BzrError.__init__(self)
         self.path = path
@@ -2665,11 +2665,12 @@
 
     This is distinct from ErrorFromSmartServer so that it is possible to
     distinguish between the following two cases:
-      - ErrorFromSmartServer was uncaught.  This is logic error in the client
-        and so should provoke a traceback to the user.
-      - ErrorFromSmartServer was caught but its error_tuple could not be
-        translated.  This is probably because the server sent us garbage, and
-        should not provoke a traceback.
+
+    - ErrorFromSmartServer was uncaught.  This is logic error in the client
+      and so should provoke a traceback to the user.
+    - ErrorFromSmartServer was caught but its error_tuple could not be
+      translated.  This is probably because the server sent us garbage, and
+      should not provoke a traceback.
     """
 
     _fmt = "Server sent an unexpected error: %(error_tuple)r"

=== modified file 'bzrlib/graph.py'
--- bzrlib/graph.py	2011-05-04 02:34:05 +0000
+++ bzrlib/graph.py	2011-05-18 16:42:48 +0000
@@ -250,7 +250,8 @@
         common ancestor of all border ancestors, because this shows that it
         cannot be a descendant of any border ancestor.
 
-        The scaling of this operation should be proportional to
+        The scaling of this operation should be proportional to:
+
         1. The number of uncommon ancestors
         2. The number of border ancestors
         3. The length of the shortest path between a border ancestor and an
@@ -388,8 +389,8 @@
 
         :param unique_revision: The revision_id whose ancestry we are
             interested in.
-            XXX: Would this API be better if we allowed multiple revisions on
-                 to be searched here?
+            (XXX: Would this API be better if we allowed multiple revisions on
+            to be searched here?)
         :param common_revisions: Revision_ids of ancestries to exclude.
         :return: A set of revisions in the ancestry of unique_revision
         """
@@ -1563,7 +1564,7 @@
 
         The recipe allows reconstruction of the same results at a later date.
 
-        :return: A tuple of (search_kind_str, *details).  The details vary by
+        :return: A tuple of `(search_kind_str, *details)`.  The details vary by
             kind of search result.
         """
         raise NotImplementedError(self.get_recipe)

=== modified file 'bzrlib/groupcompress.py'
--- bzrlib/groupcompress.py	2011-05-16 17:33:27 +0000
+++ bzrlib/groupcompress.py	2011-05-18 16:42:48 +0000
@@ -985,15 +985,16 @@
 
     It contains code very similar to SequenceMatcher because of having a similar
     task. However some key differences apply:
-     - there is no junk, we want a minimal edit not a human readable diff.
-     - we don't filter very common lines (because we don't know where a good
-       range will start, and after the first text we want to be emitting minmal
-       edits only.
-     - we chain the left side, not the right side
-     - we incrementally update the adjacency matrix as new lines are provided.
-     - we look for matches in all of the left side, so the routine which does
-       the analagous task of find_longest_match does not need to filter on the
-       left side.
+
+    * there is no junk, we want a minimal edit not a human readable diff.
+    * we don't filter very common lines (because we don't know where a good
+      range will start, and after the first text we want to be emitting minmal
+      edits only.
+    * we chain the left side, not the right side
+    * we incrementally update the adjacency matrix as new lines are provided.
+    * we look for matches in all of the left side, so the routine which does
+      the analagous task of find_longest_match does not need to filter on the
+      left side.
     """
 
     def __init__(self, settings=None):
@@ -1255,11 +1256,11 @@
         :param key: The key tuple of the text to add.
         :param parents: The parents key tuples of the text to add.
         :param lines: A list of lines. Each line must be a bytestring. And all
-            of them except the last must be terminated with \n and contain no
-            other \n's. The last line may either contain no \n's or a single
-            terminating \n. If the lines list does meet this constraint the add
-            routine may error or may succeed - but you will be unable to read
-            the data back accurately. (Checking the lines have been split
+            of them except the last must be terminated with \\n and contain no
+            other \\n's. The last line may either contain no \\n's or a single
+            terminating \\n. If the lines list does meet this constraint the
+            add routine may error or may succeed - but you will be unable to
+            read the data back accurately. (Checking the lines have been split
             correctly is expensive and extremely unlikely to catch bugs so it
             is not done at runtime unless check_content is True.)
         :param parent_texts: An optional dictionary containing the opaque
@@ -1503,6 +1504,7 @@
 
         The returned objects should be in the order defined by 'ordering',
         which can weave between different sources.
+
         :param ordering: Must be one of 'topological' or 'groupcompress'
         :return: List of [(source, [keys])] tuples, such that all keys are in
             the defined order, regardless of source.
@@ -2130,16 +2132,14 @@
         :param keys: An iterable of keys.
         :return: A dict of key:
             (index_memo, compression_parent, parents, record_details).
-            index_memo
-                opaque structure to pass to read_records to extract the raw
-                data
-            compression_parent
-                Content that this record is built upon, may be None
-            parents
-                Logical parents of this node
-            record_details
-                extra information about the content which needs to be passed to
-                Factory.parse_record
+
+            * index_memo: opaque structure to pass to read_records to extract
+              the raw data
+            * compression_parent: Content that this record is built upon, may
+              be None
+            * parents: Logical parents of this node
+            * record_details: extra information about the content which needs
+              to be passed to Factory.parse_record
         """
         self._check_read()
         result = {}

=== modified file 'bzrlib/knit.py'
--- bzrlib/knit.py	2011-05-16 10:08:01 +0000
+++ bzrlib/knit.py	2011-05-18 16:42:48 +0000
@@ -408,7 +408,7 @@
 class KnitContent(object):
     """Content of a knit version to which deltas can be applied.
 
-    This is always stored in memory as a list of lines with \n at the end,
+    This is always stored in memory as a list of lines with \\n at the end,
     plus a flag saying if the final ending is really there or not, because that
     corresponds to the on-disk knit representation.
     """
@@ -1155,14 +1155,15 @@
 
         A dict of key to (record_details, index_memo, next, parents) is
         returned.
-        method is the way referenced data should be applied.
-        index_memo is the handle to pass to the data access to actually get the
-            data
-        next is the build-parent of the version, or None for fulltexts.
-        parents is the version_ids of the parents of this version
-
-        :param allow_missing: If True do not raise an error on a missing component,
-            just ignore it.
+
+        * method is the way referenced data should be applied.
+        * index_memo is the handle to pass to the data access to actually get
+          the data
+        * next is the build-parent of the version, or None for fulltexts.
+        * parents is the version_ids of the parents of this version
+
+        :param allow_missing: If True do not raise an error on a missing
+            component, just ignore it.
         """
         component_data = {}
         pending_components = keys
@@ -1230,15 +1231,13 @@
         """Produce a dictionary of knit records.
 
         :return: {key:(record, record_details, digest, next)}
-            record
-                data returned from read_records (a KnitContentobject)
-            record_details
-                opaque information to pass to parse_record
-            digest
-                SHA1 digest of the full text after all steps are done
-            next
-                build-parent of the version, i.e. the leftmost ancestor.
+
+            * record: data returned from read_records (a KnitContentobject)
+            * record_details: opaque information to pass to parse_record
+            * digest: SHA1 digest of the full text after all steps are done
+            * next: build-parent of the version, i.e. the leftmost ancestor.
                 Will be None if the record is not a delta.
+
         :param keys: The keys to build a map for
         :param allow_missing: If some records are missing, rather than
             error, just return the data that could be generated.
@@ -1911,6 +1910,7 @@
         The result will be returned in whatever is the fastest to read.
         Not by the order requested. Also, multiple requests for the same
         record will only yield 1 response.
+
         :param records: A list of (key, access_memo) entries
         :return: Yields (key, contents, digest) in the order
                  read, not the order requested
@@ -1974,11 +1974,11 @@
         :param key: The key of the record. Currently keys are always serialised
             using just the trailing component.
         :param dense_lines: The bytes of lines but in a denser form. For
-            instance, if lines is a list of 1000 bytestrings each ending in \n,
-            dense_lines may be a list with one line in it, containing all the
-            1000's lines and their \n's. Using dense_lines if it is already
-            known is a win because the string join to create bytes in this
-            function spends less time resizing the final string.
+            instance, if lines is a list of 1000 bytestrings each ending in
+            \\n, dense_lines may be a list with one line in it, containing all
+            the 1000's lines and their \\n's. Using dense_lines if it is
+            already known is a win because the string join to create bytes in
+            this function spends less time resizing the final string.
         :return: (len, a StringIO instance with the raw data ready to read.)
         """
         chunks = ["version %s %d %s\n" % (key[-1], len(lines), digest)]

=== modified file 'bzrlib/lazy_import.py'
--- bzrlib/lazy_import.py	2010-09-25 20:08:01 +0000
+++ bzrlib/lazy_import.py	2011-05-18 16:42:48 +0000
@@ -19,7 +19,8 @@
 This includes waiting to import a module until it is actually used.
 
 Most commonly, the 'lazy_import' function is used to import other modules
-in an on-demand fashion. Typically use looks like:
+in an on-demand fashion. Typically use looks like::
+
     from bzrlib.lazy_import import lazy_import
     lazy_import(globals(), '''
     from bzrlib import (
@@ -30,14 +31,14 @@
     import bzrlib.branch
     ''')
 
-    Then 'errors, osutils, branch' and 'bzrlib' will exist as lazy-loaded
-    objects which will be replaced with a real object on first use.
+Then 'errors, osutils, branch' and 'bzrlib' will exist as lazy-loaded
+objects which will be replaced with a real object on first use.
 
-    In general, it is best to only load modules in this way. This is because
-    it isn't safe to pass these variables to other functions before they
-    have been replaced. This is especially true for constants, sometimes
-    true for classes or functions (when used as a factory, or you want
-    to inherit from them).
+In general, it is best to only load modules in this way. This is because
+it isn't safe to pass these variables to other functions before they
+have been replaced. This is especially true for constants, sometimes
+true for classes or functions (when used as a factory, or you want
+to inherit from them).
 """
 
 
@@ -160,10 +161,14 @@
             None, indicating the module is being imported.
         :param children: Children entries to be imported later.
             This should be a map of children specifications.
-            {'foo':(['bzrlib', 'foo'], None,
-                {'bar':(['bzrlib', 'foo', 'bar'], None {})})
-            }
-        Examples:
+            ::
+            
+                {'foo':(['bzrlib', 'foo'], None,
+                    {'bar':(['bzrlib', 'foo', 'bar'], None {})})
+                }
+
+        Examples::
+
             import foo => name='foo' module_path='foo',
                           member=None, children={}
             import foo.bar => name='foo' module_path='foo', member=None,
@@ -370,17 +375,18 @@
 def lazy_import(scope, text, lazy_import_class=None):
     """Create lazy imports for all of the imports in text.
 
-    This is typically used as something like:
-    from bzrlib.lazy_import import lazy_import
-    lazy_import(globals(), '''
-    from bzrlib import (
-        foo,
-        bar,
-        baz,
-        )
-    import bzrlib.branch
-    import bzrlib.transport
-    ''')
+    This is typically used as something like::
+
+        from bzrlib.lazy_import import lazy_import
+        lazy_import(globals(), '''
+        from bzrlib import (
+            foo,
+            bar,
+            baz,
+            )
+        import bzrlib.branch
+        import bzrlib.transport
+        ''')
 
     Then 'foo, bar, baz' and 'bzrlib' will exist as lazy-loaded
     objects which will be replaced with a real object on first use.

=== modified file 'bzrlib/lazy_regex.py'
--- bzrlib/lazy_regex.py	2010-06-30 12:03:30 +0000
+++ bzrlib/lazy_regex.py	2011-05-18 16:42:48 +0000
@@ -44,8 +44,8 @@
     def __init__(self, args=(), kwargs={}):
         """Create a new proxy object, passing in the args to pass to re.compile
 
-        :param args: The *args to pass to re.compile
-        :param kwargs: The **kwargs to pass to re.compile
+        :param args: The `*args` to pass to re.compile
+        :param kwargs: The `**kwargs` to pass to re.compile
         """
         self._real_regex = None
         self._regex_args = args

=== modified file 'bzrlib/merge.py'
--- bzrlib/merge.py	2011-04-21 00:41:42 +0000
+++ bzrlib/merge.py	2011-05-18 16:42:48 +0000
@@ -92,7 +92,7 @@
         """Attempt to merge the contents of a single file.
         
         :param merge_params: A bzrlib.merge.MergeHookParams
-        :return : A tuple of (status, chunks), where status is one of
+        :return: A tuple of (status, chunks), where status is one of
             'not_applicable', 'success', 'conflicted', or 'delete'.  If status
             is 'success' or 'conflicted', then chunks should be an iterable of
             strings for the new file contents.
@@ -933,14 +933,16 @@
         it then compares with THIS and BASE.
 
         For the multi-valued entries, the format will be (BASE, [lca1, lca2])
-        :return: [(file_id, changed, parents, names, executable)]
-            file_id     Simple file_id of the entry
-            changed     Boolean, True if the kind or contents changed
-                        else False
-            parents     ((base, [parent_id, in, lcas]), parent_id_other,
-                         parent_id_this)
-            names       ((base, [name, in, lcas]), name_in_other, name_in_this)
-            executable  ((base, [exec, in, lcas]), exec_in_other, exec_in_this)
+
+        :return: [(file_id, changed, parents, names, executable)], where:
+
+            * file_id: Simple file_id of the entry
+            * changed: Boolean, True if the kind or contents changed else False
+            * parents: ((base, [parent_id, in, lcas]), parent_id_other,
+                        parent_id_this)
+            * names:   ((base, [name, in, lcas]), name_in_other, name_in_this)
+            * executable: ((base, [exec, in, lcas]), exec_in_other,
+                        exec_in_this)
         """
         if self.interesting_files is not None:
             lookup_trees = [self.this_tree, self.base_tree]
@@ -2401,6 +2403,7 @@
 class _PlanLCAMerge(_PlanMergeBase):
     """
     This merge algorithm differs from _PlanMerge in that:
+
     1. comparisons are done against LCAs only
     2. cases where a contested line is new versus one LCA but old versus
        another are marked as conflicts, by emitting the line as conflicted-a
@@ -2447,10 +2450,11 @@
 
         If a line is killed and new, this indicates that the two merge
         revisions contain differing conflict resolutions.
+
         :param revision_id: The id of the revision in which the lines are
             unique
         :param unique_line_numbers: The line numbers of unique lines.
-        :return a tuple of (new_this, killed_other):
+        :return: a tuple of (new_this, killed_other)
         """
         new = set()
         killed = set()

=== modified file 'bzrlib/mutabletree.py'
--- bzrlib/mutabletree.py	2011-04-19 10:42:59 +0000
+++ bzrlib/mutabletree.py	2011-05-18 16:42:48 +0000
@@ -83,7 +83,7 @@
         """True if filename is the name of a control file in this tree.
 
         :param filename: A filename within the tree. This is a relative path
-        from the root of this tree.
+            from the root of this tree.
 
         This is true IF and ONLY IF the filename is part of the meta data
         that bzr controls in this tree. I.E. a random .bzr directory placed

=== modified file 'bzrlib/plugin.py'
--- bzrlib/plugin.py	2011-04-05 14:47:26 +0000
+++ bzrlib/plugin.py	2011-05-18 16:42:48 +0000
@@ -272,9 +272,9 @@
     """Load bzrlib plugins.
 
     The environment variable BZR_PLUGIN_PATH is considered a delimited
-    set of paths to look through. Each entry is searched for *.py
+    set of paths to look through. Each entry is searched for `*.py`
     files (and whatever other extensions are used in the platform,
-    such as *.pyd).
+    such as `*.pyd`).
 
     load_from_path() provides the underlying mechanism and is called with
     the default directory list to provide the normal behaviour.

=== modified file 'bzrlib/reconcile.py'
--- bzrlib/reconcile.py	2011-01-19 20:39:41 +0000
+++ bzrlib/reconcile.py	2011-05-18 16:42:48 +0000
@@ -64,13 +64,14 @@
         """Perform reconciliation.
 
         After reconciliation the following attributes document found issues:
-        inconsistent_parents: The number of revisions in the repository whose
-                              ancestry was being reported incorrectly.
-        garbage_inventories: The number of inventory objects without revisions
-                             that were garbage collected.
-        fixed_branch_history: None if there was no branch, False if the branch
-                              history was correct, True if the branch history
-                              needed to be re-normalized.
+
+        * `inconsistent_parents`: The number of revisions in the repository
+          whose ancestry was being reported incorrectly.
+        * `garbage_inventories`: The number of inventory objects without
+          revisions that were garbage collected.
+        * `fixed_branch_history`: None if there was no branch, False if the
+          branch history was correct, True if the branch history needed to be
+          re-normalized.
         """
         self.pb = ui.ui_factory.nested_progress_bar()
         try:
@@ -196,10 +197,11 @@
         """Perform reconciliation.
 
         After reconciliation the following attributes document found issues:
-        inconsistent_parents: The number of revisions in the repository whose
-                              ancestry was being reported incorrectly.
-        garbage_inventories: The number of inventory objects without revisions
-                             that were garbage collected.
+
+        * `inconsistent_parents`: The number of revisions in the repository
+          whose ancestry was being reported incorrectly.
+        * `garbage_inventories`: The number of inventory objects without
+          revisions that were garbage collected.
         """
         operation = cleanup.OperationWithCleanups(self._reconcile)
         self.add_cleanup = operation.add_cleanup

=== modified file 'bzrlib/remote.py'
--- bzrlib/remote.py	2011-05-15 15:47:43 +0000
+++ bzrlib/remote.py	2011-05-18 16:42:48 +0000
@@ -1081,9 +1081,6 @@
     def find_text_key_references(self):
         """Find the text key references within the repository.
 
-        :return: a dictionary mapping (file_id, revision_id) tuples to altered file-ids to an iterable of
-        revision_ids. Each altered file-ids has the exact revision_ids that
-        altered it listed explicitly.
         :return: A dictionary mapping text keys ((fileid, revision_id) tuples)
             to whether they were referred to by the inventory of the
             revision_id that they contain. The inventory texts from all present

=== modified file 'bzrlib/tag.py'
--- bzrlib/tag.py	2011-03-18 01:12:17 +0000
+++ bzrlib/tag.py	2011-05-18 16:42:48 +0000
@@ -269,11 +269,11 @@
     def _reconcile_tags(self, source_dict, dest_dict, overwrite):
         """Do a two-way merge of two tag dictionaries.
 
-        only in source => source value
-        only in destination => destination value
-        same definitions => that
-        different definitions => if overwrite is False, keep destination
-            value and give a warning, otherwise use the source value
+        * only in source => source value
+        * only in destination => destination value
+        * same definitions => that
+        * different definitions => if overwrite is False, keep destination
+          value and give a warning, otherwise use the source value
 
         :returns: (result_dict,
             [(conflicting_tag, source_target, dest_target)])

=== modified file 'bzrlib/tests/__init__.py'
--- bzrlib/tests/__init__.py	2011-05-17 17:03:58 +0000
+++ bzrlib/tests/__init__.py	2011-05-18 16:42:48 +0000
@@ -1316,7 +1316,7 @@
                 length, len(obj_with_len), obj_with_len))
 
     def assertLogsError(self, exception_class, func, *args, **kwargs):
-        """Assert that func(*args, **kwargs) quietly logs a specific exception.
+        """Assert that `func(*args, **kwargs)` quietly logs a specific error.
         """
         captured = []
         orig_log_exception_quietly = trace.log_exception_quietly

=== modified file 'bzrlib/tests/per_branch/__init__.py'
--- bzrlib/tests/per_branch/__init__.py	2011-02-24 16:45:27 +0000
+++ bzrlib/tests/per_branch/__init__.py	2011-05-18 16:42:48 +0000
@@ -20,8 +20,8 @@
 """Branch implementation tests for bzr.
 
 These test the conformance of all the branch variations to the expected API.
-Specific tests for individual formats are in the tests/test_branch file
-rather than in tests/per_branch/*.py.
+Specific tests for individual formats are in the `tests/test_branch` file
+rather than in `tests/per_branch/*.py`.
 """
 
 from bzrlib import (

=== modified file 'bzrlib/tests/test_branch.py'
--- bzrlib/tests/test_branch.py	2011-05-13 12:51:05 +0000
+++ bzrlib/tests/test_branch.py	2011-05-18 16:42:48 +0000
@@ -16,7 +16,7 @@
 
 """Tests for the Branch facility that are not interface  tests.
 
-For interface tests see tests/per_branch/*.py.
+For interface tests see `tests/per_branch/*.py`.
 
 For concrete class tests see this file, and for meta-branch tests
 also see this file.

=== modified file 'bzrlib/tsort.py'
--- bzrlib/tsort.py	2009-08-26 16:03:59 +0000
+++ bzrlib/tsort.py	2011-05-18 16:42:48 +0000
@@ -177,7 +177,8 @@
         revision number sequences in the output. See the output description of
         the MergeSorter docstring for details.
     :result: See the MergeSorter docstring for details.
-    node identifiers can be any hashable object, and are typically strings.
+
+    Node identifiers can be any hashable object, and are typically strings.
     """
     return MergeSorter(graph, branch_tip, mainline_revisions,
         generate_revno).sorted()

=== modified file 'bzrlib/upgrade.py'
--- bzrlib/upgrade.py	2011-01-12 18:11:10 +0000
+++ bzrlib/upgrade.py	2011-05-18 16:42:48 +0000
@@ -220,12 +220,12 @@
 def _get_object_and_label(control_dir):
     """Return the primary object and type label for a control directory.
 
-    :return: object, label where
-      object is a Branch, Repository or WorkingTree and
-      label is one of:
-        branch            - a branch
-        repository        - a repository
-        tree              - a lightweight checkout
+    :return: object, label where:
+      * object is a Branch, Repository or WorkingTree and
+      * label is one of:
+        * branch            - a branch
+        * repository        - a repository
+        * tree              - a lightweight checkout
     """
     try:
         try:

=== modified file 'bzrlib/win32utils.py'
--- bzrlib/win32utils.py	2010-06-22 00:32:37 +0000
+++ bzrlib/win32utils.py	2011-05-18 16:42:48 +0000
@@ -468,7 +468,7 @@
 
 
 def get_app_path(appname):
-    """Look up in Windows registry for full path to application executable.
+    r"""Look up in Windows registry for full path to application executable.
     Typically, applications create subkey with their basename
     in HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\
 

=== modified file 'bzrlib/workingtree.py'
--- bzrlib/workingtree.py	2011-05-13 16:59:44 +0000
+++ bzrlib/workingtree.py	2011-05-18 16:42:48 +0000
@@ -230,7 +230,7 @@
         """True if filename is the name of a control file in this tree.
 
         :param filename: A filename within the tree. This is a relative path
-        from the root of this tree.
+            from the root of this tree.
 
         This is true IF and ONLY IF the filename is part of the meta data
         that bzr controls in this tree. I.E. a random .bzr directory placed
@@ -626,8 +626,8 @@
         and setting the list to its value plus revision_id.
 
         :param revision_id: The revision id to add to the parent list. It may
-        be a ghost revision as long as its not the first parent to be added,
-        or the allow_leftmost_as_ghost parameter is set True.
+            be a ghost revision as long as its not the first parent to be
+            added, or the allow_leftmost_as_ghost parameter is set True.
         :param allow_leftmost_as_ghost: Allow the first parent to be a ghost.
         """
         parents = self.get_parent_ids() + [revision_id]
@@ -1478,6 +1478,7 @@
         - Restore the wt.basis->wt.state changes.
 
         There isn't a single operation at the moment to do that, so we:
+
         - Merge current state -> basis tree of the master w.r.t. the old tree
           basis.
         - Do a 'normal' merge of the old branch basis if it is relevant.
@@ -1738,11 +1739,12 @@
     def _walkdirs(self, prefix=""):
         """Walk the directories of this tree.
 
-           :prefix: is used as the directrory to start with.
-           returns a generator which yields items in the form:
-                ((curren_directory_path, fileid),
-                 [(file1_path, file1_name, file1_kind, None, file1_id,
-                   file1_kind), ... ])
+        :param prefix: is used as the directrory to start with.
+        :returns: a generator which yields items in the form::
+
+            ((curren_directory_path, fileid),
+             [(file1_path, file1_name, file1_kind, None, file1_id,
+               file1_kind), ... ])
         """
         raise NotImplementedError(self._walkdirs)
 
@@ -1754,6 +1756,7 @@
         are considered 'resolved', because bzr always puts conflict markers
         into files that have text conflicts.  The corresponding .THIS .BASE and
         .OTHER files are deleted, as per 'resolve'.
+
         :return: a tuple of ConflictLists: (un_resolved, resolved).
         """
         un_resolved = _mod_conflicts.ConflictList()
@@ -2911,11 +2914,12 @@
     def _walkdirs(self, prefix=""):
         """Walk the directories of this tree.
 
-           :prefix: is used as the directrory to start with.
-           returns a generator which yields items in the form:
-                ((curren_directory_path, fileid),
-                 [(file1_path, file1_name, file1_kind, None, file1_id,
-                   file1_kind), ... ])
+        :param prefix: is used as the directrory to start with.
+        :returns: a generator which yields items in the form::
+
+            ((curren_directory_path, fileid),
+             [(file1_path, file1_name, file1_kind, None, file1_id,
+               file1_kind), ... ])
         """
         _directory = 'directory'
         # get the root in the inventory

